Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2008-0003

CVE information

Published

15 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Stack-based buffer overflow in the PAMBasicAuthenticator::PAMCallback function in OpenPegasus CIM management server (tog-pegasus), when compiled to use PAM and without PEGASUS_USE_PAM_STANDALONE_PROC defined, might allow remote attackers to execute arbitrary code via unknown vectors, a different vulnerability than CVE-2007-5360..

CVSSv2.0 Score

Severity
High
Base Score
10/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:o:redhat:enterprise_linux:4.0:*:es:*:*:*:*:*
  No
-
cpe:2.3:o:redhat:enterprise_linux:4.0:*:ws:*:*:*:*:*
  No
-
cpe:2.3:o:redhat:enterprise_linux:4.0:*:as:*:*:*:*:*
  No
-
cpe:2.3:o:redhat:enterprise_linux:4.5.z:*:as:*:*:*:*:*
  No
-
cpe:2.3:o:redhat:enterprise_linux:4.5.z:*:es:*:*:*:*:*
  No
-
cpe:2.3:o:redhat:enterprise_linux_desktop:4.0:*:*:*:*:*:*:*
  No
-
cpe:2.3:o:redhat:enterprise_linux_desktop:5.0:*:*:*:*:*:*:*
  No
-
cpe:2.3:a:openpegasus:management_server:2.6.1:*:*:*:*:*:*:*
  Yes
-